com.trendmicro.ds.platform.rest.api

## Interface ISmartFoldersUIAPI

-     @Produces(value="application/json")
       @Consumes(value="application/json")
       @Path(value="/smart-folders-ui")
      public interface ISmartFoldersUIAPI

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListDisplayElementsResponse` | `listDisplayElements(java.lang.String sID)` Lists the Smart Folder display elements
    `ListQueryDefinitionsResponse` | `listQueryDefinitions(java.lang.String sID)` Lists all valid parameters for the query of a smart folder.
    `void` | `validateSmartFolder(java.lang.String sID, ValidateSmartFolderRequest request)` Validates a smart folder request.

- - ### Method Detail

    - #### listQueryDefinitions

          @Path(value="/queryDefinitions")
           @GET
          ListQueryDefinitionsResponse listQueryDefinitions(@CookieParam(value="sID")
                                                                                                   java.lang.String sID)
                                                                                            throws java.lang.Exception

      Lists all valid parameters for the query of a smart folder.
      Parameters:
        `sID` - a session ID returned by the Authentication API.
      Throws:
        `java.lang.Exception`

    - #### listDisplayElements

          @Path(value="/displayElements")
           @GET
          ListDisplayElementsResponse listDisplayElements(@CookieParam(value="sID")
                                                                                                java.lang.String sID)
                                                                                         throws java.lang.Exception

      Lists the Smart Folder display elements
      Parameters:
        `sID` - a session ID returned by the Authentication API.
      Throws:
        `java.lang.Exception`

    - #### validateSmartFolder

          @Path(value="validate")
           @POST
          void validateSmartFolder(@CookieParam(value="sID")
                                                                  java.lang.String sID,
                                                                  ValidateSmartFolderRequest request)
                                                           throws java.lang.Exception

      Validates a smart folder request.
      Parameters:
        `sID` - a session ID returned by the Authentication API.
        `request` - a `CreateSmartFolderRequest` object describing the smart folder.
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.